### Method

# GUPnPAV DIDLLiteObject add_resource

#### Declaration [src]

    GUPnPDIDLLiteResource*
    gupnp_didl_lite_object_add_resource (
      GUPnPDIDLLiteObject* object
    )

#### Description [src]

Creates a new resource, attaches it to `object` and returns it.

#### Return value

Type: `GUPnPDIDLLiteResource`

A new `GUPnPDIDLLiteResource` object. Unref after usage.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.